#include "th02.hpp"
//-------------------------------------------------------------------------------------------------
int th02_test() {
	th02::th02 trh;
	float temp = 0;
	float rh = 0;

	while (1) {
		std::cout << "Connecting to TH02 sensor..." << std::endl;
		try {
			trh.check_sensor();
			std::cout << "Connected to TH02 sensor" << std::endl;
			break;
		} catch (std::exception& e) {
			std::cout << e.what() << std::endl;
		}
		sleep(2);
	}

	//trh.heater_off();
	//printf("Heater off...\n");

//	temp = trh.get_temp(1000);
//	while (1) {
//		printf("RDY: %x\n", trh.read_rdy());
//		sleep(2);
//	}

	while (1) {
		try {
			temp = trh.get_temp(1000);
			rh = trh.get_rh(1000);
			printf("TEMP: %f, RH: %f\n", temp, rh);
//			if ( temp < 28 ) {
//				trh.heater_on();
//				printf("Heater on...\n");
//			} else if ( temp > 40 ) {
//				trh.heater_off();
//				printf("Heater off...\n");
//			}
			sleep(2);
		} catch (std::exception& e) {
			std::cout << e.what() << std::endl;
			sleep(2);
		}
	}

	return 0;
}
//-------------------------------------------------------------------------------------------------
